/*!
  \file
  \brief ScriptedStateMachine のテスト

  \author Satofumi KAMIMURA

  $Id: TestScriptedStateMachine.cpp 846 2009-05-10 14:15:25Z satofumi $
*/

#include "TestScriptedStateMachine.h"
#include "ScriptedStateMachine.h"

using namespace qrk;
using namespace std;


CPPUNIT_TEST_SUITE_REGISTRATION(TestScriptedStateMachine);
CPPUNIT_TEST_SUITE_NAMED_REGISTRATION(TestScriptedStateMachine,
                                      "TestScriptedStateMachine");


namespace
{
  class ForCompileTest
  {
  };
}


void TestScriptedStateMachine::compileTest(void)
{
  ForCompileTest test_object;
  ScriptedStateMachine<ForCompileTest> state(&test_object);
}
